/***************************************************************
 * Name:      wx008App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-23
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx008App.h"
#include "wx008Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx008App);

bool wx008App::OnInit()
{
    wx008Frame* frame = new wx008Frame(0L, _("wxWidgets Ejemplo 8"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
